• You need to have made 10 posts to be able to post a new thread in this forum.

WTB DAW compatible with Mac OSX 10.7.5

alonious_monk

Permanently Tired
#1
Worth a punt right?

Just missed out on Logic Express 9 when scouring eBay.

So if you have that, or an old copy of Logic, or Cubase knocking about that's compatible with Mac OSX 10.7.5 then please hit me up as I am just tired of the limitations of Garageband.

Thanks guys.
 
Top